Index: /trunk/bp-core.php
===================================================================
--- /trunk/bp-core.php	(revision 3727)
+++ /trunk/bp-core.php	(revision 3728)
@@ -9,12 +9,12 @@
 define( 'BP_PLUGIN_URL', plugins_url( $path = '/buddypress' ) );
 
-/* Load the WP abstraction file so BuddyPress can run on all WordPress setups. */
+// Load the WP abstraction file so BuddyPress can run on all WordPress setups.
 require ( BP_PLUGIN_DIR . '/bp-core/bp-core-wpabstraction.php' );
 
-/* Place your custom code (actions/filters) in a file called /plugins/bp-custom.php and it will be loaded before anything else. */
+// Place your custom code (actions/filters) in a file called /plugins/bp-custom.php and it will be loaded before anything else.
 if ( file_exists( WP_PLUGIN_DIR . '/bp-custom.php' ) )
 	require( WP_PLUGIN_DIR . '/bp-custom.php' );
 
-/* Define the user and usermeta table names, useful if you are using custom or shared tables. */
+// Define the user and usermeta table names, useful if you are using custom or shared tables.
 if ( !defined( 'CUSTOM_USER_TABLE' ) )
 	define( 'CUSTOM_USER_TABLE', $wpdb->base_prefix . 'users' );
@@ -25,32 +25,29 @@
 // The search slug has to be defined nice and early because of the way search requests are loaded
 if ( !defined( 'BP_SEARCH_SLUG' ) )
-        define( 'BP_SEARCH_SLUG', 'search' );
-
-/* Load the files containing functions that we globally will need. */
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-catchuri.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-classes.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-filters.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-cssjs.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-avatars.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-templatetags.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-settings.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-widgets.php' );
+	define( 'BP_SEARCH_SLUG', 'search' );
+
+// Load the files containing functions that we globally will need.
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-catchuri.php'      );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-classes.php'       );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-filters.php'       );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-cssjs.php'         );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-avatars.php'       );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-templatetags.php'  );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-settings.php'      );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-widgets.php'       );
 require ( BP_PLUGIN_DIR . '/bp-core/bp-core-notifications.php' );
-require ( BP_PLUGIN_DIR . '/bp-core/bp-core-signup.php' );
-
-/* If BP_DISABLE_ADMIN_BAR is defined, do not load the global admin bar. */
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-signup.php'        );
+require ( BP_PLUGIN_DIR . '/bp-core/bp-core-deprecated.php'    );
+
+// If BP_DISABLE_ADMIN_BAR is defined, do not load the global admin bar.
 if ( !defined( 'BP_DISABLE_ADMIN_BAR' ) )
 	require ( BP_PLUGIN_DIR . '/bp-core/bp-core-adminbar.php' );
 
-/* Register BuddyPress themes contained within the bp-theme folder */
+// Register BuddyPress themes contained within the bp-theme folder
 register_theme_directory( WP_PLUGIN_DIR . '/buddypress/bp-themes' );
 
-
-/* "And now for something completely different" .... */
-
-
-/**
- * bp_core_setup_globals()
- *
+/** "And now for something completely different" ******************************/
+
+/**
  * Sets up default global BuddyPress configuration settings and stores
  * them in a $bp variable.
@@ -76,12 +73,15 @@
 
 	// The domain for the root of the site where the main blog resides
-	$bp->root_domain = bp_core_get_root_domain();
+	$bp->root_domain  = bp_core_get_root_domain();
 
 	// The names of the core WordPress pages used to display BuddyPress content
-	$bp->pages = $bp_pages;
+	$bp->pages        = $bp_pages;
+
+	/** Members Component *****************************************************/
 
 	// Set up the members id and active components entry
-	$bp->members->id = 'members';
-
+	$bp->members->id  = 'members';
+
+	// Members Slugs
 	$bp->members->slug = $bp->pages->members->slug;
 	$bp->active_components[$bp->members->slug] = $bp->members->id;
@@ -89,4 +89,6 @@
 	// The user ID of the user who is currently logged in.
 	$bp->loggedin_user->id = $current_user->ID;
+
+	/** Logged in user ********************************************************/
 
 	// The domain for the user currently logged in. eg: http://domain.com/members/andy
@@ -100,4 +102,6 @@
 	$bp->loggedin_user->is_site_admin  = $bp->loggedin_user->is_super_admin; // deprecated 1.2.6
 
+	/** Displayed user ********************************************************/
+
 	// The user id of the user currently being viewed, set in /bp-core/bp-core-catchuri.php
 	$bp->displayed_user->id = $displayed_user_id;
@@ -109,4 +113,6 @@
 	$bp->displayed_user->userdata = bp_core_get_core_userdata( $bp->displayed_user->id );
 
+	/** Component and Action **************************************************/
+
 	// The component being used eg: http://domain.com/members/andy/ [profile]
 	$bp->current_component = $current_component; // type: string
@@ -121,5 +127,6 @@
 	$bp->current_item = ''; // type: string
 
-	// Used for overriding the 2nd level navigation menu so it can be used to display custom navigation for an item (for example a group)
+	// Used for overriding the 2nd level navigation menu so it can be used to
+	// display custom navigation for an item (for example a group)
 	$bp->is_single_item = false;
 
@@ -134,15 +141,20 @@
 	}
 
-	// Fetches all of the core database based BuddyPress settings in one foul swoop
+	// Fetches all of the core BuddyPress settings in one fell swoop
 	$bp->site_options = bp_core_get_site_options();
 
-	// Sets up the array container for the component navigation rendered by bp_get_nav()
+	// Sets up the array container for the component navigation rendered
+	// by bp_get_nav()
 	$bp->bp_nav = array();
 
-	// Sets up the array container for the component options navigation rendered by bp_get_options_nav()
+	// Sets up the array container for the component options navigation
+	// rendered by bp_get_options_nav()
 	$bp->bp_options_nav = array();
 
-	// Contains an array of all the active components. The key is the slug, value the internal ID of the component
+	// Contains an array of all the active components. The key is the slug,
+	// value the internal ID of the component.
 	$bp->active_components = array();
+
+	/** Avatars ***************************************************************/
 
 	// Fetches the default Gravatar image to use if the user/group/blog has no avatar or gravatar
@@ -155,8 +167,10 @@
 	$bp->displayed_user->fullname = bp_core_get_user_displayname( $bp->displayed_user->id );
 
-	/* Used to determine if user has admin rights on current content. If the logged in user is viewing
-	   their own profile and wants to delete something, is_item_admin is used. This is a
-	   generic variable so it can be used by other components. It can also be modified, so when viewing a group
-	   'is_item_admin' would be 1 if they are a group admin, 0 if they are not. */
+	/**
+	 * Used to determine if user has admin rights on current content. If the logged in user is viewing
+	 * their own profile and wants to delete something, is_item_admin is used. This is a
+	 * generic variable so it can be used by other components. It can also be modified, so when viewing a group
+	 * 'is_item_admin' would be 1 if they are a group admin, 0 if they are not.
+	 */
 	$bp->is_item_admin = bp_user_has_access();
 
@@ -164,11 +178,13 @@
 	$bp->is_item_mod = false;
 
+	// Notifications Table
 	$bp->core->table_name_notifications = $bp->table_prefix . 'bp_notifications';
 
+	// Default Component
 	if ( !$bp->current_component && $bp->displayed_user->id )
 		$bp->current_component = $bp->default_component;
 
 	// The default text for the members directory search box
-        $bp->default_search_strings[$bp->members->slug] = __( 'Search Members...', 'buddypress' );
+	$bp->default_search_strings[$bp->members->slug] = __( 'Search Members...', 'buddypress' );
 
 	do_action( 'bp_core_setup_globals' );
@@ -177,6 +193,4 @@
 
 /**
- * bp_core_get_table_prefix()
- *
  * Allow filtering of database prefix. Intended for use in multinetwork installations.
  *
@@ -191,6 +205,4 @@
 
 /**
- * bp_core_define_slugs()
- *
  * Define the slugs used for BuddyPress pages, based on the slugs of the WP pages used.
  * These can be overridden manually by defining these slugs in wp-config.php.
@@ -215,6 +227,4 @@
 
 /**
- * bp_core_get_page_meta()
- *
  * Fetches BP pages from the meta table, depending on setup
  *
@@ -231,6 +241,4 @@
 
 /**
- * bp_core_update_page_meta()
- *
  * Stores BP pages in the meta table, depending on setup
  *
@@ -285,7 +293,35 @@
 }
 
-/**
- * bp_core_admin_menu_init()
- *
+/** 
+ * Creates a default component slug from a WP page root_slug 
+ * 
+ * Since 1.3, BP components get their root_slug (the slug used immediately
+ * following the root domain) from the slug of a corresponding WP page.
+ * 
+ * E.g. if your BP installation at example.com has its members page at
+ * example.com/community/people, $bp->members->root_slug will be 'community/people'.
+ *
+ * By default, this function creates a shorter version of the root_slug for
+ * use elsewhere in the URL, by returning the content after the final '/'
+ * in the root_slug ('people' in the example above).
+ * 
+ * Filter on 'bp_core_component_slug_from_root_slug' to override this method
+ * in general, or define a specific component slug constant (e.g. BP_MEMBERS_SLUG)
+ * to override specific component slugs.
+ *  
+ * @package BuddyPress Core 
+ * @since 1.3 
+ * 
+ * @param str $root_slug The root slug, which comes from $bp->pages->[component]->slug 
+ * @return str $slug The short slug for use in the middle of URLs 
+ */ 
+function bp_core_component_slug_from_root_slug( $root_slug ) { 
+	$slug_chunks = explode( '/', $root_slug ); 
+ 	$slug        = array_pop( $slug_chunks );
+ 	
+ 	return apply_filters( 'bp_core_component_slug_from_root_slug', $slug, $root_slug ); 
+} 
+
+/**
  * Initializes the wp-admin area "BuddyPress" menus and sub menus.
  *
@@ -302,6 +338,4 @@
 
 /**
- * bp_core_add_admin_menu()
- *
  * Adds the "BuddyPress" admin submenu item to the Site Admin tab.
  *
@@ -334,26 +368,4 @@
 
 /**
- * bp_core_is_root_component()
- *
- * Checks to see if a component's URL should be in the root, not under a member page:
- * eg: http://domain.com/groups/the-group NOT http://domain.com/members/andy/groups/the-group
- *
- * @package BuddyPress Core
- * @return true if root component, else false.
- */
-function bp_core_is_root_component( $component_name ) {
-	global $bp;
-
-	foreach ( (array) $bp->pages as $key => $page ) {
-		if ( $key == $component_name || $page->slug == $component_name )
-			return true;
-	}
-
-	return false;
-}
-
-/**
- * bp_core_setup_nav()
- *
  * Sets up the profile navigation item if the Xprofile component is not installed.
  *
@@ -419,6 +431,4 @@
 
 /**
- * bp_core_action_directory_members()
- *
  * Listens to the $bp component and action variables to determine if the user is viewing the members
  * directory page. If they are, it will set up the directory and load the members directory template.
@@ -442,6 +452,4 @@
 
 /**
- * bp_core_action_set_spammer_status()
- *
  * When a site admin selects "Mark as Spammer/Not Spammer" from the admin menu
  * this action will fire and mark or unmark the user and their blogs as spam.
@@ -458,8 +466,8 @@
 
 	if ( 'admin' == $bp->current_component && ( 'mark-spammer' == $bp->current_action || 'unmark-spammer' == $bp->current_action ) ) {
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'mark-unmark-spammer' );
 
-		/* Get the functions file */
+		// Get the functions file
 		if ( is_multisite() )
 			require_once( ABSPATH . 'wp-admin/includes/ms.php' );
@@ -470,20 +478,20 @@
 			$is_spam = 0;
 
-		/* Get the blogs for the user */
+		// Get the blogs for the user
 		$blogs = get_blogs_of_user( $bp->displayed_user->id, true );
 
 		foreach ( (array) $blogs as $key => $details ) {
-			/* Do not mark the main or current root blog as spam */
+			// Do not mark the main or current root blog as spam
 			if ( 1 == $details->userblog_id || BP_ROOT_BLOG == $details->userblog_id )
 				continue;
 
-			/* Update the blog status */
+			// Update the blog status
 			update_blog_status( $details->userblog_id, 'spam', $is_spam );
 
-			/* Fire the standard WPMU hook */
+			// Fire the standard multisite hook
 			do_action( 'make_spam_blog', $details->userblog_id );
 		}
 
-		/* Finally, mark this user as a spammer */
+		// Finally, mark this user as a spammer
 		if ( is_multisite() )
 			$wpdb->update( $wpdb->users, array( 'spam' => $is_spam ), array( 'ID' => $bp->displayed_user->id ) );
@@ -496,11 +504,12 @@
 			bp_core_add_message( __( 'User removed as spammer.', 'buddypress' ) );
 
-		/* Hide this user's activity */
+		// Hide this user's activity
 		if ( $is_spam && function_exists( 'bp_activity_hide_user_activity' ) )
 			bp_activity_hide_user_activity( $bp->displayed_user->id );
 
-		// We need a special hook for is_spam so that components can delete data at spam time
+		// We need a special hook for is_spam so that components can
+		// delete data at spam time
 		if ( $is_spam )
-		        do_action( 'bp_make_spam_user', $bp->displayed_user->id );
+			do_action( 'bp_make_spam_user', $bp->displayed_user->id );
 
 		do_action( 'bp_core_action_set_spammer_status', $bp->displayed_user->id, $is_spam );
@@ -512,6 +521,4 @@
 
 /**
- * bp_core_action_delete_user()
- *
  * Allows a site admin to delete a user from the adminbar menu.
  *
@@ -526,5 +533,5 @@
 
 	if ( 'admin' == $bp->current_component && 'delete-user' == $bp->current_action ) {
-		/* Check the nonce */
+		// Check the nonce
 		check_admin_referer( 'delete-user' );
 
@@ -559,6 +566,4 @@
 
 /**
- * bp_core_get_users()
- *
  * Return an array of users IDs based on the parameters passed.
  *
@@ -587,8 +592,5 @@
 
 /**
- * bp_core_get_user_domain()
- *
- * Returns the domain for the passed user:
- * e.g. http://domain.com/members/andy/
+ * Returns the domain for the passed user: e.g. http://domain.com/members/andy/
  *
  * @package BuddyPress Core
@@ -605,5 +607,5 @@
 		$username = bp_core_get_username( $user_id, $user_nicename, $user_login );
 
-		/* If we are using a members slug, include it. */
+		// If we are using a members slug, include it.
 		if ( !defined( 'BP_ENABLE_ROOT_PROFILES' ) )
 			$domain = $bp->root_domain . '/' . $bp->members->slug . '/' . $username . '/';
@@ -611,5 +613,5 @@
 			$domain = $bp->root_domain . '/' . $username . '/';
 
-		/* Cache the link */
+		// Cache the link
 		if ( !empty( $domain ) )
 			wp_cache_set( 'bp_user_domain_' . $user_id, $domain, 'bp' );
@@ -620,6 +622,4 @@
 
 /**
- * bp_core_get_core_userdata()
- *
  * Fetch everything in the wp_users table for a user, without any usermeta.
  *
@@ -640,6 +640,4 @@
 
 /**
- * bp_core_get_root_domain()
- *
  * Returns the domain for the root blog.
  * eg: http://domain.com/ OR https://domain.com
@@ -661,6 +659,4 @@
 
 /**
- * bp_core_get_displayed_userid()
- *
  * Returns the user id for the user that is currently being displayed.
  * eg: http://andy.domain.com/ or http://domain.com/andy/
@@ -675,6 +671,4 @@
 
 /**
- * bp_core_new_nav_item()
- *
  * Adds a navigation item to the main navigation array used in BuddyPress themes.
  *
@@ -686,12 +680,12 @@
 
 	$defaults = array(
-		'name' => false, // Display name for the nav item
-		'slug' => false, // URL slug for the nav item
-		'item_css_id' => false, // The CSS ID to apply to the HTML of the nav item
-		'show_for_displayed_user' => true, // When viewing another user does this nav item show up?
-		'site_admin_only' => false, // Can only site admins see this nav item?
-		'position' => 99, // Index of where this nav item should be positioned
-		'screen_function' => false, // The name of the function to run when clicked
-		'default_subnav_slug' => false // The slug of the default subnav item to select when clicked
+		'name'                    => false, // Display name for the nav item
+		'slug'                    => false, // URL slug for the nav item
+		'item_css_id'             => false, // The CSS ID to apply to the HTML of the nav item
+		'show_for_displayed_user' => true,  // When viewing another user does this nav item show up?
+		'site_admin_only'         => false, // Can only site admins see this nav item?
+		'position'                => 99,    // Index of where this nav item should be positioned
+		'screen_function'         => false, // The name of the function to run when clicked
+		'default_subnav_slug'     => false  // The slug of the default subnav item to select when clicked
 	);
 
@@ -699,9 +693,9 @@
 	extract( $r, EXTR_SKIP );
 
-	/* If we don't have the required info we need, don't create this subnav item */
+	// If we don't have the required info we need, don't create this subnav item
 	if ( empty($name) || empty($slug) )
 		return false;
 
-	/* If this is for site admins only and the user is not one, don't create the subnav item */
+	// If this is for site admins only and the user is not one, don't create the subnav item
 	if ( $site_admin_only && !is_super_admin() )
 		return false;
@@ -711,11 +705,11 @@
 
 	$bp->bp_nav[$slug] = array(
-		'name' => $name,
-		'slug' => $slug,
-		'link' => $bp->loggedin_user->domain . $slug . '/',
-		'css_id' => $item_css_id,
+		'name'                    => $name,
+		'slug'                    => $slug,
+		'link'                    => $bp->loggedin_user->domain . $slug . '/',
+		'css_id'                  => $item_css_id,
 		'show_for_displayed_user' => $show_for_displayed_user,
-		'position' => $position,
-		'screen_function' => &$screen_function
+		'position'                => $position,
+		'screen_function'         => &$screen_function
 	);
 
@@ -732,5 +726,5 @@
  	 * default subnav function so we can display a directory or something else.
  	 */
-	if ( bp_core_is_root_component( $slug ) && !$bp->displayed_user->id )
+	if ( bp_is_root_component( $slug ) && !$bp->displayed_user->id )
 		return;
 
@@ -747,6 +741,4 @@
 
 /**
- * bp_core_new_nav_default()
- *
  * Modify the default subnav item to load when a top level nav item is clicked.
  *
@@ -758,7 +750,7 @@
 
 	$defaults = array(
-		'parent_slug' => false, // Slug of the parent
+		'parent_slug'     => false, // Slug of the parent
 		'screen_function' => false, // The name of the function to run when clicked
-		'subnav_slug' => false // The slug of the subnav item to select when clicked
+		'subnav_slug'     => false  // The slug of the subnav item to select when clicked
 	);
 
@@ -787,6 +779,4 @@
 
 /**
- * bp_core_sort_nav_items()
- *
  * We can only sort nav items by their position integer at a later point in time, once all
  * plugins have registered their navigation items.
@@ -817,10 +807,8 @@
 	$bp->bp_nav = &$temp;
 }
-add_action( 'wp_head', 'bp_core_sort_nav_items' );
+add_action( 'wp_head',    'bp_core_sort_nav_items' );
 add_action( 'admin_head', 'bp_core_sort_nav_items' );
 
 /**
- * bp_core_new_subnav_item()
- *
  * Adds a navigation item to the sub navigation array used in BuddyPress themes.
  *
@@ -832,13 +820,13 @@
 
 	$defaults = array(
-		'name' => false, // Display name for the nav item
-		'slug' => false, // URL slug for the nav item
-		'parent_slug' => false, // URL slug of the parent nav item
-		'parent_url' => false, // URL of the parent item
-		'item_css_id' => false, // The CSS ID to apply to the HTML of the nav item
-		'user_has_access' => true, // Can the logged in user see this nav item?
+		'name'            => false, // Display name for the nav item
+		'slug'            => false, // URL slug for the nav item
+		'parent_slug'     => false, // URL slug of the parent nav item
+		'parent_url'      => false, // URL of the parent item
+		'item_css_id'     => false, // The CSS ID to apply to the HTML of the nav item
+		'user_has_access' => true,  // Can the logged in user see this nav item?
 		'site_admin_only' => false, // Can only site admins see this nav item?
-		'position' => 90, // Index of where this nav item should be positioned
-		'screen_function' => false // The name of the function to run when clicked
+		'position'        => 90,    // Index of where this nav item should be positioned
+		'screen_function' => false  // The name of the function to run when clicked
 	);
 
@@ -846,9 +834,9 @@
 	extract( $r, EXTR_SKIP );
 
-	/* If we don't have the required info we need, don't create this subnav item */
-	if ( empty($name) || empty($slug) || empty($parent_slug) || empty($parent_url) || empty($screen_function) )
-		return false;
-
-	/* If this is for site admins only and the user is not one, don't create the subnav item */
+	// If we don't have the required info we need, don't create this subnav item
+	if ( empty( $name ) || empty( $slug ) || empty( $parent_slug ) || empty( $parent_url ) || empty( $screen_function ) )
+		return false;
+
+	// If this is for site admins only and the user is not one, don't create the subnav item
 	if ( $site_admin_only && !is_super_admin() )
 		return false;
@@ -858,13 +846,13 @@
 
 	$bp->bp_options_nav[$parent_slug][$slug] = array(
-		'name' => $name,
-		'link' => $parent_url . $slug . '/',
-		'slug' => $slug,
-		'css_id' => $item_css_id,
-		'position' => $position,
+		'name'            => $name,
+		'link'            => $parent_url . $slug . '/',
+		'slug'            => $slug,
+		'css_id'          => $item_css_id,
+		'position'        => $position,
 		'user_has_access' => $user_has_access,
 		'screen_function' => &$screen_function
 	);
-
+	
 	if ( ( $bp->current_action == $slug && $bp->current_component == $parent_slug ) && $user_has_access ) {
 		if ( !is_object( $screen_function[0] ) )
@@ -899,13 +887,11 @@
 		ksort( $temp );
 		$bp->bp_options_nav[$parent_slug] = &$temp;
-		unset($temp);
-	}
-}
-add_action( 'wp_head', 'bp_core_sort_subnav_items' );
+		unset( $temp );
+	}
+}
+add_action( 'wp_head',    'bp_core_sort_subnav_items' );
 add_action( 'admin_head', 'bp_core_sort_subnav_items' );
 
 /**
- * bp_core_remove_nav_item()
- *
  * Removes a navigation item from the sub navigation array used in BuddyPress themes.
  *
@@ -917,5 +903,5 @@
 	global $bp;
 
-	/* Unset subnav items for this nav item */
+	// Unset subnav items for this nav item
 	if ( is_array( $bp->bp_options_nav[$parent_id] ) ) {
 		foreach( (array)$bp->bp_options_nav[$parent_id] as $subnav_item ) {
@@ -935,6 +921,4 @@
 
 /**
- * bp_core_remove_subnav_item()
- *
  * Removes a navigation item from the sub navigation array used in BuddyPress themes.
  *
@@ -962,6 +946,4 @@
 
 /**
- * bp_core_reset_subnav_items()
- *
  * Clear the subnav items for a specific nav item.
  *
@@ -970,13 +952,11 @@
  * @global $bp The global BuddyPress settings variable created in bp_core_setup_globals()
  */
-function bp_core_reset_subnav_items($parent_slug) {
-	global $bp;
-
-	unset($bp->bp_options_nav[$parent_slug]);
-}
-
-/**
- * bp_core_get_random_member()
- *
+function bp_core_reset_subnav_items( $parent_slug ) {
+	global $bp;
+
+	unset( $bp->bp_options_nav[$parent_slug] );
+}
+
+/**
  * Returns the user_id for a user based on their username.
  *
@@ -997,6 +977,4 @@
 
 /**
- * bp_core_get_userid()
- *
  * Returns the user_id for a user based on their username.
  *
@@ -1017,6 +995,4 @@
 
 /**
- * bp_core_get_userid_from_nicename()
- *
  * Returns the user_id for a user based on their user_nicename.
  *
@@ -1037,6 +1013,4 @@
 
 /**
- * bp_core_get_username()
- *
  * Returns the username for a user based on their user id.
  *
@@ -1076,5 +1050,5 @@
 	}
 
-	/* Add this to cache */
+	// Add this to cache
 	if ( !empty( $username ) )
 		wp_cache_set( 'bp_user_username_' . $user_id, $username, 'bp' );
@@ -1084,6 +1058,4 @@
 
 /**
- * bp_core_get_user_email()
- *
  * Returns the email address for the user based on user ID
  *
@@ -1105,6 +1077,4 @@
 
 /**
- * bp_core_get_userlink()
- *
  * Returns a HTML formatted link for a user with the user's full name as the link text.
  * eg: <a href="http://andy.domain.com/">Andy Peatling</a>
@@ -1146,6 +1116,4 @@
 
 /**
- * bp_core_get_user_displayname()
- *
  * Fetch the display name for a user. This will use the "Name" field in xprofile if it is installed.
  * Otherwise, it will fall back to the normal WP display_name, or user_nicename, depending on what has been set.
@@ -1203,11 +1171,9 @@
 }
 add_filter( 'bp_core_get_user_displayname', 'strip_tags', 1 );
-add_filter( 'bp_core_get_user_displayname', 'trim' );
-add_filter( 'bp_core_get_user_displayname', 'stripslashes' );
-
-
-/**
- * bp_core_get_userlink_by_email()
- *
+add_filter( 'bp_core_get_user_displayname', 'trim'          );
+add_filter( 'bp_core_get_user_displayname', 'stripslashes'  );
+
+
+/**
  * Returns the user link for the user based on user email address
  *
@@ -1224,6 +1190,4 @@
 
 /**
- * bp_core_get_userlink_by_username()
- *
  * Returns the user link for the user based on user's username
  *
@@ -1241,6 +1205,4 @@
 
 /**
- * bp_core_get_total_member_count()
- *
  * Returns the total number of members for the installation.
  *
@@ -1261,6 +1223,4 @@
 
 /**
- * bp_core_is_user_spammer()
- *
  * Checks if the user has been marked as a spammer.
  *
@@ -1281,6 +1241,4 @@
 
 /**
- * bp_core_is_user_deleted()
- *
  * Checks if the user has been marked as deleted.
  *
@@ -1296,6 +1254,4 @@
 
 /**
- * bp_core_current_time()
- *
  * Get the current GMT time to save into the DB
  *
@@ -1311,6 +1267,4 @@
 
 /**
- * bp_core_add_message()
- *
  * Adds a feedback (error/success) message to the WP cookie so it can be displayed after the page reloads.
  *
@@ -1323,5 +1277,5 @@
 		$type = 'success';
 
-	/* Send the values to the cookie for page reload display */
+	// Send the values to the cookie for page reload display
 	@setcookie( 'bp-message', $message, time()+60*60*24, COOKIEPATH );
 	@setcookie( 'bp-message-type', $type, time()+60*60*24, COOKIEPATH );
@@ -1331,16 +1285,15 @@
 	 * without a page reload
 	 */
-	$bp->template_message = $message;
+	$bp->template_message      = $message;
 	$bp->template_message_type = $type;
 }
 
 /**
- * bp_core_setup_message()
- *
- * Checks if there is a feedback message in the WP cookie, if so, adds a "template_notices" action
- * so that the message can be parsed into the template and displayed to the user.
- *
- * After the message is displayed, it removes the message vars from the cookie so that the message
- * is not shown to the user multiple times.
+ * Checks if there is a feedback message in the WP cookie, if so, adds a
+ * "template_notices" action so that the message can be parsed into the template
+ * and displayed to the user.
+ *
+ * After the message is displayed, it removes the message vars from the cookie
+ * so that the message is not shown to the user multiple times.
  *
  * @package BuddyPress Core
@@ -1366,6 +1319,4 @@
 
 /**
- * bp_core_render_message()
- *
  * Renders a feedback message (either error or success message) to the theme template.
  * The hook action 'template_notices' is used to call this function, it is not called directly.
@@ -1378,10 +1329,12 @@
 
 	if ( isset( $bp->template_message ) && $bp->template_message ) {
-		$type = ( 'success' == $bp->template_message_type ) ? 'updated' : 'error';
-	?>
+		$type = ( 'success' == $bp->template_message_type ) ? 'updated' : 'error'; ?>
+
 		<div id="message" class="<?php echo $type; ?>">
 			<p><?php echo stripslashes( esc_attr( $bp->template_message ) ); ?></p>
 		</div>
+
 	<?php
+
 		do_action( 'bp_core_render_message' );
 	}
@@ -1389,6 +1342,4 @@
 
 /**
- * bp_core_time_since()
- *
  * Based on function created by Dunstan Orchard - http://1976design.com
  *
@@ -1424,12 +1375,15 @@
 	}
 
-	/* $newer_date will equal false if we want to know the time elapsed between a date and the current time */
-	/* $newer_date will have a value if we want to work out time elapsed between two known dates */
+	/**
+	 * $newer_date will equal false if we want to know the time elapsed between
+	 * a date and the current time. $newer_date will have a value if we want to
+	 * work out time elapsed between two known dates.
+	 */
 	$newer_date = ( !$newer_date ) ? strtotime( bp_core_current_time() ) : $newer_date;
 
-	/* Difference in seconds */
+	// Difference in seconds
 	$since = $newer_date - $older_date;
 
-	/* Something went wrong with date calculation and we ended up with a negative date. */
+	// Something went wrong with date calculation and we ended up with a negative date.
 	if ( 0 > $since )
 		return __( 'sometime', 'buddypress' );
@@ -1442,21 +1396,21 @@
 	 */
 
-	/* Step one: the first chunk */
+	// Step one: the first chunk
 	for ( $i = 0, $j = count($chunks); $i < $j; $i++) {
 		$seconds = $chunks[$i][0];
 
-		/* Finding the biggest chunk (if the chunk fits, break) */
+		// Finding the biggest chunk (if the chunk fits, break)
 		if ( ( $count = floor($since / $seconds) ) != 0 )
 			break;
 	}
 
-        // If $i iterates all the way to $j, then the event happened 0 seconds ago
-        if ( !isset( $chunks[$i] ) )
+	// If $i iterates all the way to $j, then the event happened 0 seconds ago
+	if ( !isset( $chunks[$i] ) )
 		return '0 ' . __( 'seconds', 'buddypress' );
 
-	/* Set output var */
+	// Set output var
 	$output = ( 1 == $count ) ? '1 '. $chunks[$i][1] : $count . ' ' . $chunks[$i][2];
 
-	/* Step two: the second chunk */
+	// Step two: the second chunk
 	if ( $i + 2 < $j ) {
 		$seconds2 = $chunks[$i + 1][0];
@@ -1469,5 +1423,5 @@
 	}
 
-	if ( !(int)trim($output) )
+	if ( !(int)trim( $output ) )
 		$output = '0 ' . __( 'seconds', 'buddypress' );
 
@@ -1477,6 +1431,4 @@
 
 /**
- * bp_core_record_activity()
- *
  * Record user activity to the database. Many functions use a "last active" feature to
  * show the length of time since the user was last active.
@@ -1501,5 +1453,5 @@
 	$current_time = bp_core_current_time();
 
-	if ( '' == $activity || strtotime( $current_time ) >= strtotime( '+5 minutes', $activity ) )
+	if ( empty( $activity ) || strtotime( $current_time ) >= strtotime( '+5 minutes', $activity ) )
 		update_user_meta( $bp->loggedin_user->id, 'last_activity', $current_time );
 }
@@ -1508,6 +1460,4 @@
 
 /**
- * bp_core_get_last_activity()
- *
  * Formats last activity based on time since date given.
  *
@@ -1519,9 +1469,8 @@
  */
 function bp_core_get_last_activity( $last_activity_date, $string ) {
-	if ( !$last_activity_date || empty( $last_activity_date ) ) {
+	if ( !$last_activity_date || empty( $last_activity_date ) )
 		$last_active = __( 'not recently active', 'buddypress' );
-	} else {
+	else
 		$last_active = sprintf( $string, bp_core_time_since( $last_activity_date ) );
-	}
 
 	return apply_filters( 'bp_core_get_last_activity', $last_active, $last_activity_date, $string );
@@ -1529,5 +1478,5 @@
 
 function bp_core_number_format( $number, $decimals = false ) {
-	/* Check we actually have a number first. */
+	// Check we actually have a number first.
 	if ( empty( $number ) )
 		return $number;
@@ -1537,6 +1486,4 @@
 
 /**
- * bp_core_get_all_posts_for_user()
- *
  * Fetch every post that is authored by the given user for the current blog.
  *
@@ -1546,8 +1493,8 @@
  * @return array of post ids.
  */
-function bp_core_get_all_posts_for_user( $user_id = null ) {
+function bp_core_get_all_posts_for_user( $user_id = 0 ) {
 	global $bp, $wpdb;
 
-	if ( !$user_id )
+	if ( empty( $user_id ) )
 		$user_id = $bp->displayed_user->id;
 
@@ -1556,6 +1503,4 @@
 
 /**
- * bp_core_get_site_path()
- *
  * Get the path of of the current site.
  *
